Page MenuHomeFreeBSD

games/cockatrice: Add server component
ClosedPublic

Authored by sbruno on May 13 2018, 5:27 PM.

Details

Reviewers
None
Commits
rP470321: games/cockatrice
Summary

I've attempted to add the server component such that the
game can be installed with/without the server and that the server
can be installed with/without the required mysql server backend.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sbruno created this revision.May 13 2018, 5:27 PM
mat added inline comments.May 13 2018, 8:13 PM
games/cockatrice/Makefile
11 ↗(On Diff #42485)

too long

31 ↗(On Diff #42485)

USES should happen earlier. See Order of Variables in Port Makefiles.

41 ↗(On Diff #42485)

Use OPTIONS_SUB instead.

42–44 ↗(On Diff #42485)

Use options helpers.

sbruno updated this revision to Diff 42600.May 15 2018, 8:08 PM

Switch top options helper and OPTIONS_SUB where possible. I still
am not clear on how to make USE_QT5 do the right thing in this
framework.

sbruno marked 4 inline comments as done.May 15 2018, 8:09 PM

I can't seem to get USE_QT5 to do anything with the OPTIONS_SUB framework. Does it work?

mat added inline comments.May 16 2018, 10:31 AM
games/cockatrice/Makefile
44 ↗(On Diff #42600)
SERVATRICE_USE=    qt5+="sql sql-mysql websockets"
sbruno added inline comments.May 16 2018, 4:08 PM
games/cockatrice/Makefile
44 ↗(On Diff #42600)
sbruno updated this revision to Diff 42652.May 17 2018, 1:48 AM

I guess this is the proper way to do OPTIONS_SUB here. I dunno.

sbruno marked an inline comment as done.May 17 2018, 2:01 AM
sbruno added inline comments.
games/cockatrice/Makefile
44 ↗(On Diff #42600)

It doesn't look like OPTIONS_SUB support "qt5+="

sbruno updated this revision to Diff 42664.May 17 2018, 3:05 PM

Use the proper syntax for USE_QT5= for the global QT5 requires.

Use the proper syntax for OPTIONS_USE= qt5="" so that different
options pull in their required deps. (thanks mat).

This revision was not accepted when it landed; it landed in state Needs Review.May 18 2018, 7:36 PM
Closed by commit rP470321: games/cockatrice (authored by sbruno). · Explain Why
This revision was automatically updated to reflect the committed changes.